cURL
curl -X GET "https://api.onekhusa.com/sandbox/v1/api/core/Connectors/GetSummary" \
--header "Authorization: Bearer your-jwt-token"import requests
url = "https://api.onekhusa.com/sandbox/v1/core/Connectors/GetSummary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onekhusa.com/sandbox/v1/core/Connectors/GetSummary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"connectorName": "Airtel Money",
"connectorId": 123456,
"isActive": true,
"channelCode": "M",
"connectorCode": "EEE"
},
{
"connectorName": "FDH Bank Limited",
"connectorId": 234567,
"isActive": true,
"channelCode": "B",
"connectorCode": "FDH"
}
]Connectors
Get Connector Summary
This endpoint retrieves a summary of connectors for the authenticated merchant account. It provides an overview of connector information without requiring any request parameters.
GET
/
core
/
Connectors
/
GetSummary
cURL
curl -X GET "https://api.onekhusa.com/sandbox/v1/api/core/Connectors/GetSummary" \
--header "Authorization: Bearer your-jwt-token"import requests
url = "https://api.onekhusa.com/sandbox/v1/core/Connectors/GetSummary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onekhusa.com/sandbox/v1/core/Connectors/GetSummary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"connectorName": "Airtel Money",
"connectorId": 123456,
"isActive": true,
"channelCode": "M",
"connectorCode": "EEE"
},
{
"connectorName": "FDH Bank Limited",
"connectorId": 234567,
"isActive": true,
"channelCode": "B",
"connectorCode": "FDH"
}
]Authorizations
Bearer authentication header of the form Bearer Token, Where accessToken is the access token used to authenticate the request.
Headers
Preferred language for the response
Response
200 - application/json
Success Response (200)
The name of the payment connector
Example:
"Airtel Money"
Unique identifier for the connector
Example:
123456
Indicates if the connector is currently active
Example:
true
Code identifying the payment channel
Example:
"M"
Unique code for the connector
Example:
"EEE"